### Method

# Snapd SystemInformation get_confinement

since: 1.15

#### Declaration [src]

    SnapdSystemConfinement
    snapd_system_information_get_confinement (
      SnapdSystemInformation* system_information
    )

#### Description [src]

Get the level of confinement the system supports, e.g. `SNAPD_SYSTEM_CONFINEMENT_STRICT`.

Available since: 1.15

Gets property | `Snapd.SystemInformation:confinement`

#### Return value

Type: `SnapdSystemConfinement`

A `SnapdSystemConfinement`.